Bug 99093 - N450 and D510 machines get stuck in igt@gem_ringfill@basic-default-hang
Summary: N450 and D510 machines get stuck in igt@gem_ringfill@basic-default-hang
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: high critical
Assignee: Chris Wilson
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords: bisected, regression
: 99894 99903 100985 101063 101077 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-12-15 09:32 UTC by Tomi Sarvela
Modified: 2018-04-20 11:10 UTC (History)
8 users (show)

See Also:
i915 platform: G33, PNV
i915 features: display/Other


Attachments
dmesg chris patch skipped tests (1.35 MB, text/plain)
2017-06-22 12:01 UTC, Marta Löfstedt
no flags Details
efi pstore dmesg chris patch machine hung (25.51 KB, text/plain)
2017-06-22 12:02 UTC, Marta Löfstedt
no flags Details
Tests Log (BDW) (1.90 KB, text/plain)
2017-08-08 19:11 UTC, Hector Velazquez
no flags Details
Dmesg.log (BDW) (59.41 KB, text/plain)
2017-08-08 19:12 UTC, Hector Velazquez
no flags Details
Tests Log (BSW) (1.90 KB, text/plain)
2017-08-08 19:16 UTC, Hector Velazquez
no flags Details
Dmesg.log (BSW) (61.59 KB, text/plain)
2017-08-08 19:16 UTC, Hector Velazquez
no flags Details
Dmesg.log (BXT) (6.80 KB, text/plain)
2017-08-08 19:24 UTC, Hector Velazquez
no flags Details
Dmesg.log (SKL) (13.03 KB, text/plain)
2017-08-08 19:27 UTC, Hector Velazquez
no flags Details
Dmesg.log (KBL) (34.76 KB, text/plain)
2017-08-08 19:29 UTC, Hector Velazquez
no flags Details
Dmesg.log (GLK) (34.76 KB, text/plain)
2017-08-08 19:31 UTC, Hector Velazquez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomi Sarvela 2016-12-15 09:32:36 UTC
Pineview testshosts I've tested seem to hang forever in following code when tested with igt@gem_ringfill@basic-default-hang. Comment from vsyrjala implied that the GPU hang reset messes PLL when done in wrong time.

No dmesg is left behind. This spot was found with gratuitous adding of DRM_DEBUGs.

The bug has been around in drm-intel-nightly / drm-tip for at least two months.

drivers/gpu/drm/i915/i915_irq.c:i915_get_vblank_counter():

        /*
         * High & low register fields aren't synchronized, so make sure
         * we get a low value that's stable across two reads of the high
         * register.
         */
        do {
                high1 = I915_READ(high_frame) & PIPE_FRAME_HIGH_MASK;
                low   = I915_READ(low_frame);
                high2 = I915_READ(high_frame) & PIPE_FRAME_HIGH_MASK;
        } while (high1 != high2);
Comment 1 Ville Syrjala 2016-12-15 10:05:54 UTC
And the actual cause for this regression are the direct i915_reset() calls added by:
4680816be336 ("drm/i915: Wait first for submission, before waiting for request completion")
221fe7994554 ("drm/i915: Perform a direct reset of the GPU from the waiter")

As the GPU reset kills the display engine on these old platforms, you can't just go yanking on the reset line at any time. The procedure used by i915_reset_and_wakeup() is to disable all display functions first, then perform the reset, and finally re-enable the display functions. That is safe, whereas anything else isn't really.

The spec (the old configdb which no longer exists sadly) suggested that one should at least disable all planes before yanking on the reset, but as is demonstrated by this failure mode even that isn't sufficient. If you yank the reset at the wrong time you could even hard hang the machine (eg. by poking at the LUT with the DPLL off).
Comment 2 Chris Wilson 2016-12-17 20:01:59 UTC
1. Stop taking struct_mutex when disabling crtcs and installing no framebuffers [eek intel_overlay_disable]
2. Do intel_prepare_reset before reset handoff
3. Do intel_finish_reset as normal
Comment 3 Chris Wilson 2017-03-03 11:06:14 UTC
*** Bug 99894 has been marked as a duplicate of this bug. ***
Comment 4 Maarten Lankhorst 2017-03-15 11:54:04 UTC
*** Bug 99903 has been marked as a duplicate of this bug. ***
Comment 5 Martin Peres 2017-03-23 12:38:24 UTC
Failure rate 1/60 run(s) (1%)

No changes in the past 10 days. Raising the priority to get inputs from developers.
Comment 6 Jari Tahvanainen 2017-04-25 06:52:35 UTC
Still popping out every now and then - Failure rate 2/221 run(s)
igt@gem_ringfill@basic-default-hang - fi-pnv-d510 - incomplete - 2017-04-10
igt@gem_ringfill@basic-default-hang - fi-pnv-d510 - incomplete - 2017-03-13
Comment 7 Tomi Sarvela 2017-04-25 07:51:21 UTC
PNV-D510 is not part of the regular farm. I'm running CI_DRM manually every now and then to remind that this bug exists.
Comment 8 Tomi Sarvela 2017-04-25 07:54:06 UTC
Note: reproduction rate is stable 100%
Comment 9 Ricardo 2017-05-09 17:54:58 UTC
Adding tag into "Whiteboard" field - ReadyForDev
The bug still active
*Status is correct
*Platform is included
*Feature is included
*Priority and Severity correctly set
*Logs included
Comment 10 Chris Wilson 2017-05-10 11:11:43 UTC
*** Bug 100985 has been marked as a duplicate of this bug. ***
Comment 11 Martin Peres 2017-05-10 16:24:12 UTC
This also affects BLK and ELK.
Comment 12 Chris Wilson 2017-05-16 16:16:30 UTC
*** Bug 101063 has been marked as a duplicate of this bug. ***
Comment 13 Maarten Lankhorst 2017-06-07 13:54:29 UTC
*** Bug 101077 has been marked as a duplicate of this bug. ***
Comment 14 Jani Saarinen 2017-06-07 15:32:22 UTC
This is blocking many new (SKL+) platforms, raising priority.
We need some progress on this now.
Comment 15 Jari Tahvanainen 2017-06-14 09:04:50 UTC
Adding i915 platforms due to *** Bug 101077 has been marked as a duplicate of this bug. ***
Comment 16 Marta Löfstedt 2017-06-15 07:56:16 UTC
*** Bug 101231 has been marked as a duplicate of this bug. ***
Comment 17 Marta Löfstedt 2017-06-22 12:01:10 UTC
Tested all kms_busy with Chris patch on BDW NUCi5:

https://patchwork.freedesktop.org/patch/162894/

drm-tip:
43495097d5a36910d157019be4d47696d6fabeab drm/i915: Break modeset deadlocks on reset
7f2c92652872fbbe37c8bca92eccb7218100c21d drm-tip: 2017y-06m-22d-08h-47m-32s UTC integration manifest

I either still hang on 3rdf subtest:
extended-pageflip-modeset-hang-oldfb-default-A

or I fail at some of the early kms_busy@extended-pageflip_* subtests followed by all remaining kms_busy subtestes are skipped.

add dmesg for both cases.

Maybe Bug 101231 isn't duplicate after all.
Comment 18 Marta Löfstedt 2017-06-22 12:01:58 UTC
Created attachment 132137 [details]
dmesg chris patch skipped tests
Comment 19 Marta Löfstedt 2017-06-22 12:02:52 UTC
Created attachment 132138 [details]
efi pstore dmesg chris patch machine hung
Comment 20 Chris Wilson 2017-06-22 12:04:59 UTC
(In reply to Marta Löfstedt from comment #17)
> I either still hang on 3rdf subtest:
> extended-pageflip-modeset-hang-oldfb-default-A

extended-pageflip-modeset-hang-* exhibit multiple bugs, once of which is a deadlock prevented (not fixed!) by the wedging. However, prior to hitting the deadlock you encounter many use-after-frees in the atomic modesetting.
Comment 21 Marta Löfstedt 2017-06-22 12:48:29 UTC
FYI issue reproduced with the v3: https://patchwork.freedesktop.org/patch/163147/

But, if Chris patch fixes the old machines from hanging on CI. We could un-duplicate Bug 101231 and continue working with the kms_busy@extendes-* issue in that one.
Comment 22 Hector Velazquez 2017-07-31 19:11:27 UTC
The following tests PASS on BSW with this configuration

Tests List:

igt@gem_ringfill@basic-default-hang



This is my configuration:

**************************************************************
* * * * * * * * HARDWARE SPECIFICATIONS * * * * * * * * * * * 
**************************************************************

==============================================================
Essentials
==============================================================
Processor Number			N3700
Status					Launched
Launch Date				Q1'15
Lithography				14 nm


==============================================================
Performance
==============================================================
# of Cores				4
# of Threads				4
Processor Base Frequency		1.60 GHz
Burst Frequency				2.40 GHz
Cache					2 MB L2
TDP					6 W
Scenario Design Power (SDP)		4 W

==============================================================
Memory Specifications
==============================================================
Max Memory Size 			8 GB
Memory Types				DDR3L-1600
Max # of Memory Channels		2
ECC Memory Supported  			No

==============================================================
Graphics Specifications
==============================================================
Processor Graphics 			Intel® HD Graphics
Graphics Base Frequency			400.00 MHz
Graphics Burst Frequency		700.00 MHz
Graphics Video Max Memory		8 GB
Graphics Output				eDP/DP/HDMI
Execution Units				16
DirectX* Support			Yes
OpenGL* Support				Yes
Intel® Quick Sync Video 		Yes
Intel® InTru™ 3D Technology		No
Intel® Clear Video HD Technology	Yes
Intel® Clear Video Technology		Yes
Intel® Wireless Display 		Yes
# of Displays Supported 		3


====================================================
Graphic Stack
====================================================

Component: drm
    tag: libdrm-2.4.81-33-g3876bc2
    commit: 3876bc246a07070a6043159cd7623d4def9bbd4c

Component: cairo
    tag: 1.15.6-2-g57b4050
    commit: 57b40507dda3f58dfc8635548d606b86dc7bcf51

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-112-g493151b
    commit: 493151b0768aa4ca535cef49cb7efa174a9c3a77

Component: piglit
    tag: piglit-v1
    commit: 973892687cf5c2f8e2dbe1d22998b82736643787
Comment 23 Hector Velazquez 2017-08-08 19:10:56 UTC
The following tests PASS on BDW with this configuration

Tests List:

igt@gem_ringfill@basic-default-hang



This is my configuration:

**************************************************************
* * * * * * * * HARDWARE SPECIFICATIONS * * * * * * * * * * * 
**************************************************************

====================================================
Graphic Stack
====================================================

Component: drm
    tag: libdrm-2.4.81-42-g4d24415
    commit: 4d244155945f5531b4d9735bbe73c887aac81070

Component: cairo
    tag: 1.15.6-13-g495cb9a
    commit: 495cb9a0a765ccbc678f55d8bfe699829a214f39

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-166-geeff6a1
    commit: eeff6a1d9c4e2c195b30ad95ee36a58ef6ca3387

Component: piglit
    tag: piglit-v1
    commit: 23ed442ed690e1b61e372703375f27375025dee6

======================================
	     Software
======================================
kernel version              : 4.13.0-rc4-drm-tip-ww32-commit-3d87f89+
hostname                    : BDW-2-NUC5i7RYB
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 5.6
bios release date           : 05/29/2015
hardware acceleration       : [91mdisabled[0m
swap partition              : [92menabled[0m on (/dev/sda3)

======================================
	Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.82
cairo                       : 1.15.7
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-166-geeff6a1
intel-gpu-tools (commit)    : eeff6a1

======================================
	     Hardware
======================================
platform                   : Broadwell
motherboard id             : NUC5i7RYB
form factor                : Desktop
cpu family                 : Core i7
cpu family id              : 6
cpu information            : Intel(R) Core(TM) i7-5557U CPU @ 3.10GHz
gpu card                   : Intel Corporation Iris Graphics 6100 (rev 09) (prog-if 00 [VGA controller])
memory ram                 : 7.71 GB
max memory ram             : 16 GB
cpu thread                 : 4
cpu core                   : 2
cpu model                  : 61
cpu stepping               : 4
socket                     : Socket BGA1168
signature                  : Type 0, Family 6, Model 61, Stepping 4
hard drive                 : 447GiB (480GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 540000 kHz
displays connected         : HDMI-A-1 DP-1

======================================
	     Firmware
======================================

======================================
	     kernel parameters
======================================
quiet drm.debug=0x1e resume=/dev/sda3 fastboot


Note: Removing BDW from this BUG since test is shown as PASSED...
Comment 24 Hector Velazquez 2017-08-08 19:11:59 UTC
Created attachment 133386 [details]
Tests Log (BDW)
Comment 25 Hector Velazquez 2017-08-08 19:12:32 UTC
Created attachment 133387 [details]
Dmesg.log (BDW)
Comment 26 Hector Velazquez 2017-08-08 19:15:28 UTC
The following tests PASS on BSW with this configuration

Tests List:

igt@gem_ringfill@basic-default-hang



This is my configuration:

**************************************************************
* * * * * * * * HARDWARE SPECIFICATIONS * * * * * * * * * * * 
**************************************************************



======================================
             Software
======================================
kernel version              : 4.13.0-rc4-drm-tip-ww32-commit-3d87f89+
hostname                    : BSW-2-BRASWELL
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 0.33
bios release date           : 08/12/2015
ksc                         : 0.16
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.82
cairo                       : 1.15.7
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-166-geeff6a1
intel-gpu-tools (commit)    : eeff6a1

======================================
             Hardware
======================================
platform                   : Braswell
motherboard model          : 10G9000NUS
motherboard id             : BRASWELL
form factor                : Desktop
manufacturer               : LENOVO
cpu family                 : Pentium
cpu family id              : 6
cpu information            : Intel(R) Pentium(R) CPU  N3700  @ 1.60GHz
gpu card                   : Intel Corporation Atom/Celeron/Pentium Processor x5-E8000/J3xxx/N3xxx Integrated Graphics Controller (rev 21) (prog-if 00 [VGA controller])
memory ram                 : 7.68 GB
max memory ram             : 8 GB
cpu thread                 : 4
cpu core                   : 4
cpu model                  : 76
cpu stepping               : 3
socket                     : Socket BGA1155
signature                  : Type 0, Family 6, Model 76, Stepping 3
hard drive                 : 476GiB (512GB)
current cd clock frequency : 266667 kHz
maximum cd clock frequency : 320000 kHz
displays connected         : DP-1 DP-3

======================================
             Firmware
======================================

======================================
             kernel parameters
======================================
quiet drm.debug=0x1e resume=/dev/sda3 fastboot


Note: Removing BSW from this BUG since test is shown as PASSED...
Comment 27 Hector Velazquez 2017-08-08 19:16:01 UTC
Created attachment 133388 [details]
Tests Log (BSW)
Comment 28 Hector Velazquez 2017-08-08 19:16:37 UTC
Created attachment 133389 [details]
Dmesg.log (BSW)
Comment 29 Hector Velazquez 2017-08-08 19:20:13 UTC
This is the Graphic Stack of comment 26 (BSW)
Component: drm
    tag: libdrm-2.4.81-42-g4d24415
    commit: 4d244155945f5531b4d9735bbe73c887aac81070

Component: cairo
    tag: 1.15.6-13-g495cb9a
    commit: 495cb9a0a765ccbc678f55d8bfe699829a214f39

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-166-geeff6a1
    commit: eeff6a1d9c4e2c195b30ad95ee36a58ef6ca3387

Component: piglit
    tag: piglit-v1
    commit: 23ed442ed690e1b61e372703375f27375025dee6
Comment 30 Hector Velazquez 2017-08-08 19:23:39 UTC
The following tests Fail on BXT with this configuration

Tests List:

igt@gem_ringfill@basic-default-hang


This is my configuration:

**************************************************************
* * * * * * * * HARDWARE SPECIFICATIONS * * * * * * * * * * * 
**************************************************************

Component: drm
    tag: libdrm-2.4.81-42-g4d24415
    commit: 4d244155945f5531b4d9735bbe73c887aac81070

Component: cairo
    tag: 1.15.6-13-g495cb9a
    commit: 495cb9a0a765ccbc678f55d8bfe699829a214f39

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-166-geeff6a1
    commit: eeff6a1d9c4e2c195b30ad95ee36a58ef6ca3387

Component: piglit
    tag: piglit-v1
    commit: 23ed442ed690e1b61e372703375f27375025dee6


======================================
             Software
======================================
kernel version              : 4.13.0-rc4-drm-tip-ww32-commit-3d87f89+
hostname                    : BXT-1
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 5.6
bios release date           : 06/19/2017
ksc                         : 18.0
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.82
cairo                       : 1.15.7
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-166-geeff6a1
intel-gpu-tools (commit)    : eeff6a1

======================================
             Hardware
======================================
motherboard model          : NUC6CAYS
motherboard id             : NUC6CAYB
form factor                : Desktop
manufacturer               : Intelcorporation
cpu family                 : Celeron
cpu family id              : 6
cpu information            : Intel(R) Celeron(R) CPU J3455 @ 1.50GHz
gpu card                   : Intel Corporation Device 5a85 (rev 0b) (prog-if 00 [VGA controller])
memory ram                 : 15.54 GB
max memory ram             : 32 GB
cpu thread                 : 4
cpu core                   : 4
cpu model                  : 92
cpu stepping               : 9
socket                     : Other
signature                  : Type 0, Family 6, Model 92, Stepping 9
hard drive                 : 74GiB (80GB)
current cd clock frequency : 384000 kHz
maximum cd clock frequency : 624000 kHz
displays connected         : DP-1 DP-2

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.7
guc fw loaded             : SUCCESS
guc version wanted        : 8.7
guc version found         : 8.7
huc fw loaded             : yes

======================================
             kernel parameters
======================================
quiet drm.debug=0x1e i915.enable_guc_loading=2 i915.enable_guc_submission=2 auto panic=1 nmi_watchdog=panic resume=/dev/sda3 fastboot

Note: The platform fully hang during the test, so no test log was generated, instead i added a dmesg log...(dmesg -w)...
Comment 31 Hector Velazquez 2017-08-08 19:24:16 UTC
Created attachment 133390 [details]
Dmesg.log (BXT)
Comment 32 Hector Velazquez 2017-08-08 19:27:07 UTC
The following tests Fail on SKL with this configuration

Tests List:

igt@gem_ringfill@basic-default-hang


This is my configuration:

**************************************************************
* * * * * * * * HARDWARE SPECIFICATIONS * * * * * * * * * * * 
**************************************************************

Component: drm
    tag: libdrm-2.4.81-42-g4d24415
    commit: 4d244155945f5531b4d9735bbe73c887aac81070

Component: cairo
    tag: 1.15.6-13-g495cb9a
    commit: 495cb9a0a765ccbc678f55d8bfe699829a214f39

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-166-geeff6a1
    commit: eeff6a1d9c4e2c195b30ad95ee36a58ef6ca3387

Component: piglit
    tag: piglit-v1
    commit: 23ed442ed690e1b61e372703375f27375025dee6
	
======================================
             Software
======================================
kernel version              : 4.13.0-rc4-drm-tip-ww32-commit-3d87f89+
hostname                    : SKL-2-NUC6i5SYB
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 5.6
bios release date           : 05/27/2016
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.82
cairo                       : 1.15.7
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-166-geeff6a1
intel-gpu-tools (commit)    : eeff6a1

======================================
             Hardware
======================================
platform                   : Skylake-Nuc
motherboard id             : NUC6i5SYB
form factor                : Desktop
cpu family                 : Core i5
cpu family id              : 6
cpu information            : Intel(R) Core(TM) i5-6260U CPU @ 1.80GHz
gpu card                   : Intel Corporation Iris Graphics 540 (rev 0a) (prog-if 00 [VGA controller])
memory ram                 : 15.58 GB
max memory ram             : 32 GB
cpu thread                 : 4
cpu core                   : 2
cpu model                  : 78
cpu stepping               : 3
socket                     : None
signature                  : Type 0, Family 6, Model 78, Stepping 3
hard drive                 : 223GiB (240GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 675000 kHz
displays connected         : HDMI-A-1 DP-1

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.26
guc fw loaded             : SUCCESS
guc version wanted        : 6.1
guc version found         : 6.1
huc fw loaded             : yes

======================================
             kernel parameters
======================================
quiet drm.debug=0x1e i915.enable_guc_loading=2 i915.enable_guc_submission=2 auto panic=1 nmi_watchdog=panic resume=/dev/sda3 fastboot

Note: The platform hang during the test, so no test log was generated, instead i added a dmesg log...(dmesg -w)...
Comment 33 Hector Velazquez 2017-08-08 19:27:38 UTC
Created attachment 133391 [details]
Dmesg.log (SKL)
Comment 34 Hector Velazquez 2017-08-08 19:29:22 UTC
The following tests Fail on KBL with this configuration

Tests List:

igt@gem_ringfill@basic-default-hang


This is my configuration:

**************************************************************
* * * * * * * * HARDWARE SPECIFICATIONS * * * * * * * * * * * 
**************************************************************

Component: drm
    tag: libdrm-2.4.81-42-g4d24415
    commit: 4d244155945f5531b4d9735bbe73c887aac81070

Component: cairo
    tag: 1.15.6-13-g495cb9a
    commit: 495cb9a0a765ccbc678f55d8bfe699829a214f39

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-166-geeff6a1
    commit: eeff6a1d9c4e2c195b30ad95ee36a58ef6ca3387

Component: piglit
    tag: piglit-v1
    commit: 23ed442ed690e1b61e372703375f27375025dee6
	
======================================
             Software
======================================
kernel version              : 4.13.0-rc4-drm-tip-ww32-commit-3d87f89+
hostname                    : KBL-2
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 5.6
bios release date           : 05/03/2017
ksc                         : 8.1
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.82
cairo                       : 1.15.7
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-166-geeff6a1
intel-gpu-tools (commit)    : eeff6a1

======================================
             Hardware
======================================
motherboard id             : NUC7i5BNB
form factor                : Desktop
cpu family                 : Core i5
cpu family id              : 6
cpu information            : Intel(R) Core(TM) i5-7260U CPU @ 2.20GHz
gpu card                   : Intel Corporation Device 5926 (rev 06) (prog-if 00 [VGA controller])
memory ram                 : 15.58 GB
max memory ram             : 32 GB
cpu thread                 : 4
cpu core                   : 2
cpu model                  : 142
cpu stepping               : 9
socket                     : Other
signature                  : Type 0, Family 6, Model 142, Stepping 9
hard drive                 : 447GiB (480GB)
current cd clock frequency : 337500 kHz
maximum cd clock frequency : 675000 kHz
displays connected         : DP-1 DP-2

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.1
guc fw loaded             : SUCCESS
guc version wanted        : 9.14
guc version found         : 9.14
huc fw loaded             : yes

======================================
             kernel parameters
======================================
quiet drm.debug=0x1e i915.enable_guc_loading=2 i915.enable_guc_submission=2 auto panic=1 nmi_watchdog=panic resume=/dev/sda3 fastboot


Note: The platform hang during the test, so no test log was generated, instead i added a dmesg log...(dmesg -w)...
Comment 35 Hector Velazquez 2017-08-08 19:29:55 UTC
Created attachment 133392 [details]
Dmesg.log (KBL)
Comment 36 Hector Velazquez 2017-08-08 19:31:20 UTC
The following tests Fail on GLK with this configuration

Tests List:

igt@gem_ringfill@basic-default-hang


This is my configuration:

**************************************************************
* * * * * * * * HARDWARE SPECIFICATIONS * * * * * * * * * * * 
**************************************************************

Component: drm
    tag: libdrm-2.4.81-42-g4d24415
    commit: 4d244155945f5531b4d9735bbe73c887aac81070

Component: cairo
    tag: 1.15.6-13-g495cb9a
    commit: 495cb9a0a765ccbc678f55d8bfe699829a214f39

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-166-geeff6a1
    commit: eeff6a1d9c4e2c195b30ad95ee36a58ef6ca3387

Component: piglit
    tag: piglit-v1
    commit: 23ed442ed690e1b61e372703375f27375025dee6

======================================
             Software
======================================
kernel version              : 4.13.0-rc4-drm-tip-ww32-commit-3d87f89+
hostname                    : GLK-2-GLKRVP1DDR405
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 50.51
bios release date           : 06/02/2017
ksc                         : 1.32
hardware acceleration       : disabled
swap partition              : enabled on (/dev/sda3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.82
cairo                       : 1.15.7
intel-gpu-tools (tag)       : intel-gpu-tools-1.19-166-geeff6a1
intel-gpu-tools (commit)    : eeff6a1

======================================
             Hardware
======================================
platform                   : Geminilake
motherboard model          : Geminilake
motherboard id             : GLKRVP1DDR4(05)
form factor                : Hand Held
manufacturer               : IntelCorp.
cpu family                 : Other
cpu family id              : 6
cpu information            : Genuine Intel(R) CPU @ 1.10GHz
gpu card                   : Intel Corporation Device 3184 (rev 01) (prog-if 00 [VGA controller])
memory ram                 : 3.67 GB
max memory ram             : 16 GB
cpu thread                 : 4
cpu core                   : 4
cpu model                  : 122
cpu stepping               : 0
socket                     : Other
hard drive                 : 74GiB (80GB)
current cd clock frequency : 79200 kHz
maximum cd clock frequency : 316800 kHz
displays connected         : eDP-1 DP-1 HDMI-A-2

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.4
guc fw loaded             : SUCCESS
guc version wanted        : 10.56
guc version found         : 10.56
huc fw loaded             : yes

======================================
             kernel parameters
======================================
quiet drm.debug=0x1e i915.enable_guc_loading=2 i915.enable_guc_submission=2 i915.alpha_support=1 auto panic=1 nmi_watchdog=panic resume=/dev/sda3 fastboot


Note: The platform hang during the test, so no test log was generated, instead i added a dmesg log...(dmesg -w)...
Comment 37 Hector Velazquez 2017-08-08 19:31:48 UTC
Created attachment 133393 [details]
Dmesg.log (GLK)
Comment 38 Ricardo 2017-08-22 14:16:31 UTC
This issues is not presenting in GLK, BXT, SKL or KBL removing from platforms affected. but continues to fail in PNV will remain open
Comment 39 Elizabeth 2017-10-10 19:19:19 UTC
Removing G45 since it don't fail on ELK anymore: https://intel-gfx-ci.01.org/tree/drm-tip/fi-elk-e7500.html
Comment 41 Chris Wilson 2017-12-14 23:04:56 UTC
Why are there non-Pineview devices listed here? This bug was for the gen3 specific failure that occurred if we reset the GPU with the display still connected.
Comment 42 Jani Saarinen 2018-04-20 11:10:51 UTC
Closing, please re-open if still occurs.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.